cancel
Showing results for 
Search instead for 
Did you mean: 

Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

Tried applying this patch but continually get the following error

 

Parse error: syntax error, unexpected T_CLASS in PATCH_SUPEE-5994_EE_1.14.1.0_v1-2015-05-14-05-05-02.sh on line 338

 

10 REPLIES

Re: Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

anyone Please Help, apears this fix is Bugged Smiley Sad

Re: Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

Hi @ABS_UK, we have actually just released 1.9.2 which includes SUPEE-5994 in addition to SUPEE-5344 and the new SUPEE-6285 patch. Are you on CE or EE? If on CE, is it possible for you to update to 1.9.2?

--

Community Manager, Magento
Problem solved? Click Accept as Solution!
Still stuck? Check out our documentation: https://magento.com/resources/technical

Re: Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

How are you running the patch?  Can you post a screenshot of the script being run?

Re: Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

Hi, Running as a cron job just keep getting the following message !

 

Parse error: syntax error, unexpected T_CLASS in /home/www/website.co.uk/PATCH_SUPEE-5994_CE_1.6.0.0_v1-2015-05-15-04-34-46.sh on line 338

Re: Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

Smiley Sad

Re: Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

Hi, I am using version 1.9.0.1 and having looked at the instructions to upgrade (i.e Create Test system, upgrade, test, upgrade live system etc etc.) I have no intention of upgrading, it does seem that there is no way for me to apply this patch without getting this error, so I guess I'll just have to ignore the upgrade as it would appear to have a bug!!!!

Re: Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

Hi @ABS_UK, it looks like you are using the 1.6 version of the patch on a 1.9.0.1 install. This is likely the cause of the problem. I'd strongly recommend applying the patch or upgrading. It's a critical security patch.

--

Community Manager, Magento
Problem solved? Click Accept as Solution!
Still stuck? Check out our documentation: https://magento.com/resources/technical

Re: Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

Hi, I selected the version of the patch from the Magento Website for versions 1.6.0.0 to 1.9.1.1 this is the only one that appears to be for the version of Magento that I am running, and obviously has a bug as I have been trying to install for over 2 months now and it continually fails with the same error, which is of no help or assistance i helping me establish the problem. It appear that there is no support for the CE version of the software and Magento/Ebay obviously are not really bothered with the free version either

Re: Patch PATCH_SUPEE-5994 Unexpected T_CLASS error applying please help

Hi @ABS_UK, sorry for the confusion there, I was in SUPEE-6285 mode which does break down the patches a bit further by version.

 

You are correct that there is no support for CE, it's a benefit of EE; however, we do care and that's why I'm here. Smiley Happy

 

I checked around on this and it seems the error is likely due to some code customization. If you install a fresh copy of 1.9.0.1 are you able to apply the patch with no issues? If so, that will confirm that it's caused by customization.

 

Another alternative to applying this patch is to update to 1.9.2.0 which includes SUPEE-5344, SUPEE-5994 and SUPEE-6285. You'll obviously want to test this update on a staging environment first as if you do have a lot of customization going on, it can cause issues with the update.

 

Please let me know if you're able to try either of the above and what you find!

--

Community Manager, Magento
Problem solved? Click Accept as Solution!
Still stuck? Check out our documentation: https://magento.com/resources/technical